Issue #2 new

broken on 4.01.0dev+trunk

Anil Madhavapeddy
created an issue

Due to error-enabled warnings.

--- Checking for ocamlfind... (found /home/avsm/.opam/4.01.0dev+fp/bin/ocamlfind)
--- Checking for ocamlc.opt... (found /home/avsm/.opam/4.01.0dev+fp/bin/ocamlc.opt)
--- Checking for ocamlopt.opt... (found /home/avsm/.opam/4.01.0dev+fp/bin/ocamlopt.opt)
--- Checking whether ocamlc understands the "z" warnings... (yes)
*** omake: finished reading OMakefiles (0.14 sec)
--- Checking if ocamldep understands -modules... (yes)
- build pa tctools.cmo
+ ocamlfind ocamlc -package type_conv -g -w A-4-9 -warn-error A-4-9 -g -pp camlp4of -I . -c
*** omake: 40/168 targets are up to date
*** omake: failed (2.21 sec, 3/3 scans, 2/2 rules, 20/128 digests)
### stderr ###
*** omake: warning: stdout is not a tty, disabling the progress bar
   (use --progress to override).
File "", line 4, characters 0-8:
Warning 44: this open statement shadows the module identifier Loc (which is later used)
File "", line 1:
Error: Error-enabled warnings (1 occurrences)
*** omake: targets were not rebuilt because of errors:
      depends on: pa/
E: Failure("Command 'yes no | omake --install; PREFIX=/home/avsm/.opam/4.01.0dev+fp omake' terminated with error code 2")

Also, the build spins endlessly on MacOS X and never terminates for some reason.

Comments (1)

  1. Log in to comment